Bug 167138 - [MAINTAINER-UPDATE] sysutils/moosefs-master update to 1.6.24
Summary: [MAINTAINER-UPDATE] sysutils/moosefs-master update to 1.6.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-21 01:50 UTC by chifeng
Modified: 2012-04-30 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.09 KB, patch)
2012-04-21 01:50 UTC, chifeng
no flags Details | Diff
patch-moosefs-master.txt (3.70 KB, patch)
2012-04-29 08:14 UTC, chifeng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chifeng 2012-04-21 01:50:00 UTC
The port sysutils/moosefs-master update to latest version 1.6.24.

Fix: apply this patch.

Patch attached with submission follows:
How-To-Repeat: NONE
Comment 1 Michael Scheidell freebsd_committer 2012-04-21 04:46:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2012-04-21 05:24:12 UTC
An interesting idea that could save you time.
in moosefs-master, create a file 'bsd.port.moosefs.mk'
PORTVERSION=    1.6.24
PORTREVISION?= 0
in moosefs-master,
.include "bsd.port.moosefs.mk"

in moosefs-(the other two)

.include "../moosefs-master/bsd.port.moosefs.mk"  (or $.CURDIR)

set distinfo to ../moosefs-master/distinfo

that way, all you need to do is to update moosefs-master/distfile and 
bsd.port.moosefs.mk and the other two would be updated.

you might want to use some 'PORTREVISION= X' in 'slaves' if you 
individually need to update minor issues with those.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 3 chifeng 2012-04-21 06:41:59 UTC
Thank you, Michael. that's helpful, I will do it later.

Chifeng

On Sat, Apr 21, 2012 at 12:24 PM, Michael Scheidell
<scheidell@freebsd.org>wrote:

> **
> An interesting idea that could save you time.
> in moosefs-master, create a file 'bsd.port.moosefs.mk'
> PORTVERSION=    1.6.24
> PORTREVISION?= 0
> in moosefs-master,
> .include "bsd.port.moosefs.mk"
>
> in moosefs-(the other two)
>
> .include "../moosefs-master/bsd.port.moosefs.mk"  (or $.CURDIR)
>
> set distinfo to ../moosefs-master/distinfo
>
> that way, all you need to do is to update moosefs-master/distfile and
> bsd.port.moosefs.mk and the other two would be updated.
>
> you might want to use some 'PORTREVISION= X' in 'slaves' if you
> individually need to update minor issues with those.
>
> --
> Michael Scheidell, CTO
> > *| * SECNAP Network Security Corporation
> d: +1.561.948.2259
> w: http://people.freebsd.org/~scheidell
>



-- 
*Regards.*
**- Chifeng
Comment 4 Michael Scheidell freebsd_committer 2012-04-21 20:44:39 UTC
State Changed
From-To: open->feedback

pkg-plist needs adjustmane. Files left over: 
http://lorie.secnap.net/tb/index.php?action=display_markup_log&build=9-scheidell_AMD64&id=1637#567
Comment 5 Michael Scheidell freebsd_committer 2012-04-29 22:10:56 UTC
Testing all the patches now.. I re-arranged them a little, and added 
back in what seems like redundancy (from a programmers perspective), but 
'INDEX' and some other tools needed PORTNAME/PORTVERSION/MAINTAINER in 
all the Makefiles.

These can be put in ahead of the .include as a comment like:

PORTVERSION=#

(just for convention sake)


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 6 dfilter service freebsd_committer 2012-04-30 08:45:32 UTC
scheidell    2012-04-30 07:45:24 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/moosefs-master Makefile distinfo pkg-plist 
  Added files:
    sysutils/moosefs-master bsd.port.moosefs.mk 
  Log:
  - Update to 1.6.24
  
  PR:             ports/167138
  Submitted by:   Chifeng Qu <chifeng@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.7       +5 -8      ports/sysutils/moosefs-master/Makefile
  1.1       +13 -0     ports/sysutils/moosefs-master/bsd.port.moosefs.mk (new)
  1.7       +2 -2      ports/sysutils/moosefs-master/distinfo
  1.3       +4 -0      ports/sysutils/moosefs-master/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2012-04-30 08:46:39 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!